'use strict';

var stylable = require('stylable');
module.exports = function (src) {
  var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

  var css = stylable.safeParse(src);
  var dependencies = [];
  var importSpecifiers = {};

  css.walkRules(function (rule) {
    var stFrom = rule.nodes.find(function (node) {
      return node.prop === '-st-from';
    });
    if (!stFrom) return;
    var stFromValue = stFrom.value.replace(/["']/g, '');
    dependencies.push(stFromValue);
    var stNamed = rule.nodes.find(function (node) {
      return node.prop === '-st-named';
    });
    if (!stNamed) return;
    var specifierValue = {
      isDefault: false, // @todo,
      name: stNamed.value
    };
    importSpecifiers[stFromValue] ? importSpecifiers[stFromValue].push(specifierValue) : importSpecifiers[stFromValue] = [specifierValue];
  });
  options.importSpecifiers = importSpecifiers;

  return dependencies;
};
//# sourceMappingURL=index.js.map